Subject: Re: [bug#46234] [PATCH] Add new gopkg.in/yaml.v3

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 22 Jun 2021 10:53:48 +0200

Hello,

Sharlatan Hellseher <[email-masked]> writes:

Thank you for the patch, and thanks Xinglu for the review.

I applied your patch with the following changes:

> gnu: Add gopkg.in/yaml.v3

I added a final full stop.

> +        (uri (git-reference
> +               (url "https://gopkg.in/yaml.v3.git")

I removed the ".git" suffix.

> +    (description
> +     "This package provides a Go library for encode and decode YAML
> +values.
> +
> +v3 specification difference:
> +@itemize
> +@item YAML 1.1 bools (yes/no, on/off) are supported as long as they are
> +being decoded into a typed bool value.  Otherwise they behave as a string.
> +Booleans in YAML 1.2 are true/false only.
> +
> +@item Octals encode and decode as 0777 per YAML 1.1, rather than 0o777 as
> +specified in YAML 1.2, because most parsers still use the old format.  Octals in
> +the 0o777 format are supported though, so new files work.
> +
> +@item Does not support base-60 floats.  These are gone from YAML 1.2, and were
> +actually never supported by this package as it's clearly a poor choice.
> +@end itemize")

I shortened the description.

Regards,
-- 
Nicolas Goaziou